Bug 848168 - Signature check error with jdk1.7 in groovy-script-server-plugin
Signature check error with jdk1.7 in groovy-script-server-plugin
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: Plugin -- Other (Show other bugs)
JON 3.1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: JON 3.1.1
Assigned To: John Sanda
Mike Foley
:
Depends On: 846715
Blocks: 682878
  Show dependency treegraph
 
Reported: 2012-08-14 15:41 EDT by John Sanda
Modified: 2013-09-11 06:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 846715
Environment:
Last Closed: 2013-09-11 06:59:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-08-14 15:41:34 EDT
+++ This bug was initially created as a clone of Bug #846715 +++

Compiling with jdk 1.7 gives:

[ERROR] Failed to execute goal org.codehaus.mojo:animal-sniffer-maven-plugin:1.7:check (java-api-check) on project groovy-script-server-plugin: Signature errors found. Verify them and put @IgnoreJRERequirement on them. -> [Help 1]

--- Additional comment from jsanda@redhat.com on 2012-08-08 11:26:02 EDT ---

I implemented the groovy server plugin some time ago merely as a proof of concept to demonstrate how different scripting environments can be integrated with RHQ. This plugin is neither included in RHQ nor in JON releases. I propose that it be removed from the RHQ source tree. If anything this plugin belongs in sandbox type repo where someone can pick it up and run with it if he is so inclined. Keeping it in the main RHQ repo just add extra, unnecessary maintenance. Maybe the rhq-extras repo would make a good home for this code.

--- Additional comment from jsanda@redhat.com on 2012-08-14 15:16:38 EDT ---

Until we find a new home for the plugin, I have take it out of the build in master.

commit hash: 15248b7c309
Comment 1 John Sanda 2012-08-14 15:43:30 EDT
Changes have been pushed to the release/jon3.1.x branch.

commit hash: b598c62ef294ef6
Comment 2 Charles Crouch 2012-09-10 16:08:43 EDT
Setting target release to 311. Nothing to be QE'd here

Note You need to log in before you can comment on or make changes to this bug.